Skip to main content

Renew an expired access token​

Renew an expired access token. Applicable only for ALL and CUSTOM token types

Request Body
  • accessToken string required
  • refreshToken string required
Responses

OK


Schema
  • error object
  • errorMessage string
  • errorCode int32
  • accessTokenId int32
  • tokenName string
  • userId int32
  • tokenType string

    Possible values: [DEFAULT, MS_SCIM, ALL, CUSTOM, OneTouch, CrowdStrike, NetAppRansomwareResilience]

    Default value: ALL

    (0)DEFAULT is ALL(2), (1) MS_SCIM is for Azure SCIM operations,(2)ALL has access to all APIs while in (3)CUSTOM, apiEndpoints can be defined and access scope is limited to those endpoints, (6)CrowdStrike is for CrowdStrike integration operations, (7)NetAppRansomwareResilience is for NetApp Ransomware Resilience operations.

  • tokenExpiryTimestamp int32
  • accessToken string

    accesstoken and refresh token should be saved. it won't be shown again

  • refreshToken string

    accesstoken and refresh token should be saved. it won't be shown agai .Applicable only for ALL and CUSTOM token types

  • refreshTokenExpiryTimestamp int32

    Applicable only for ALL and CUSTOM token types

  • renewableUntilTimestamp int32

    Applicable only for ALL and CUSTOM token types

Loading...